crossplatform.ru

Здравствуйте, гость ( Вход | Регистрация )

 
Ответить в данную темуНачать новую тему
> Установка Qt на *nix/X11
rich
  опции профиля:
сообщение 12.5.2008, 19:43
Сообщение #1


Участник
**

Группа: Участник
Сообщений: 123
Регистрация: 1.3.2008
Пользователь №: 109

Спасибо сказали: 6 раз(а)




Репутация:   0  


а мона про Переменные среды подробнее!?
PATH=/usr/local/Trolltech/Qt-4.3.2/bin:$PATH
export PATH

это в .bash_profile прописывать?
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Litkevich Yuriy
  опции профиля:
сообщение 12.5.2008, 20:54
Сообщение #2


разработчик РЭА
*******

Группа: Сомодератор
Сообщений: 9668
Регистрация: 9.1.2008
Из: Тюмень
Пользователь №: 64

Спасибо сказали: 807 раз(а)




Репутация:   94  


А у тебя что за ОСь?

Цитата(rich @ 12.5.2008, 23:43) *
это в .bash_profile прописывать?

у меня есть два варианта на этот счет:
либо ~/.bash_profile
либо ~/.profile
вот только я не знаю в какой последовательности их будет просматривать командный интерпритатор
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
rich
  опции профиля:
сообщение 25.5.2008, 21:42
Сообщение #3


Участник
**

Группа: Участник
Сообщений: 123
Регистрация: 1.3.2008
Пользователь №: 109

Спасибо сказали: 6 раз(а)




Репутация:   0  


У меня ещё вариант:
/ets/skel/.bash_profile
только во всех случаях не работает:(.Это в mandrake9.1.4 под WMware.A в OpenSUSE10.3,чисто установлена, с предустановленным Qt таких файлов вообще нет..:(
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Litkevich Yuriy
  опции профиля:
сообщение 25.5.2008, 21:58
Сообщение #4


разработчик РЭА
*******

Группа: Сомодератор
Сообщений: 9668
Регистрация: 9.1.2008
Из: Тюмень
Пользователь №: 64

Спасибо сказали: 807 раз(а)




Репутация:   94  


Слушай Мандрейк древнющий, может имеет смысл его проапгрейдить до Мандрива 2007?
у меня в openSUSE 10.2 есть те которые я указал, зайди в домашний каталог глянь список файлов скрытых.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Arceny
  опции профиля:
сообщение 26.5.2008, 19:27
Сообщение #5


Студент
*

Группа: Участник
Сообщений: 20
Регистрация: 15.4.2008
Из: Брянск
Пользователь №: 149

Спасибо сказали: 0 раз(а)




Репутация:   0  


Советую взять нормальный дистрибутив, Debian/Ubuntu, поставить libqt4-dev и qt4-dev-tools и радоваться жизни. Среду использую kdevelop.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение
Litkevich Yuriy
  опции профиля:
сообщение 26.5.2008, 20:30
Сообщение #6


разработчик РЭА
*******

Группа: Сомодератор
Сообщений: 9668
Регистрация: 9.1.2008
Из: Тюмень
Пользователь №: 64

Спасибо сказали: 807 раз(а)




Репутация:   94  


Да просто надо посвежее Мандриву, и поставить готовый пакет. Либо лезть на линукс форум и спрашивать, где переменные окружения лучше всего забить (в данном конкретном дистрибутиве), для конкретного пользователя, или поискать в справке.
Перейти в начало страницы
 
Быстрая цитата+Цитировать сообщение

Быстрый ответОтветить в данную темуНачать новую тему
Теги
Нет тегов для показа


1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0




RSS Текстовая версия Сейчас: 28.11.2021, 15:37